aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <horea.christ@yandex.com>2019-04-08 05:22:33 +0200
committerHorea Christian <horea.christ@yandex.com>2019-04-08 05:22:33 +0200
commit7acf6c633d2afbe2ddf796ca0920a6dacdf72fcb (patch)
tree1196ce907cd6b2b8d11395fd0f898a961cc4aa67
parentsci-biology/ncbi-tools++: set -rpath-link to temp build location (diff)
downloadsci-7acf6c633d2afbe2ddf796ca0920a6dacdf72fcb.tar.gz
sci-7acf6c633d2afbe2ddf796ca0920a6dacdf72fcb.tar.bz2
sci-7acf6c633d2afbe2ddf796ca0920a6dacdf72fcb.zip
sci-biology/behaviopy: new package
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Horea Christian <horea.christ@yandex.com>
-rw-r--r--sci-biology/behaviopy/Manifest1
-rw-r--r--sci-biology/behaviopy/behaviopy-0.1.ebuild43
-rw-r--r--sci-biology/behaviopy/behaviopy-9999.ebuild45
-rw-r--r--sci-biology/behaviopy/metadata.xml26
4 files changed, 115 insertions, 0 deletions
diff --git a/sci-biology/behaviopy/Manifest b/sci-biology/behaviopy/Manifest
new file mode 100644
index 000000000..e5e6f36cd
--- /dev/null
+++ b/sci-biology/behaviopy/Manifest
@@ -0,0 +1 @@
+DIST behaviopy-0.1.tar.gz 32986 BLAKE2B f0de67a59591f266906d0b21c8fedf1e847df47128f0cb45e10fca849c674cb95d1ef586f407c9775ccaad8a7300aa4d6a67f1a4cc77fa18af28ec0848b77605 SHA512 8cead97a6bf06b31b817999377e5460ec7b05b58a997bcad9c8947f6cd1ab48d2525600c0c6e18bd6e52fccd8a9358b5f36c9911d1fab0fb974dc6581a63949b
diff --git a/sci-biology/behaviopy/behaviopy-0.1.ebuild b/sci-biology/behaviopy/behaviopy-0.1.ebuild
new file mode 100644
index 000000000..bbbdd78fb
--- /dev/null
+++ b/sci-biology/behaviopy/behaviopy-0.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Neuroimaging tools for Python"
+HOMEPAGE="https://github.com/TheChymera/behaviopy"
+SRC_URI="https://github.com/TheChymera/behaviopy/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="evaluation test"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/seaborn[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ "
+
+src_prepare() {
+ if ! use evaluation; then
+ rm behaviopy/evaluation.py || die
+ fi
+ default
+}
+
+python_test() {
+ cd behaviopy/examples
+ echo "backend : Agg" > matplotlibrc || die
+ for i in *py; do
+ echo "Executing $i"
+ ${EPYTHON} $i || die
+ done
+}
diff --git a/sci-biology/behaviopy/behaviopy-9999.ebuild b/sci-biology/behaviopy/behaviopy-9999.ebuild
new file mode 100644
index 000000000..2aee7c999
--- /dev/null
+++ b/sci-biology/behaviopy/behaviopy-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit distutils-r1 git-r3
+
+DESCRIPTION="Neuroimaging tools for Python"
+HOMEPAGE="https://github.com/TheChymera/behaviopy"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/TheChymera/behaviopy"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="evaluation test"
+KEYWORDS=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/seaborn[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ "
+ #evaluation? ( sci-biology/psychopy[${PYTHON_USEDEP}] )
+
+src_prepare() {
+ if ! use evaluation; then
+ rm behaviopy/evaluation.py || die
+ fi
+ default
+}
+
+python_test() {
+ cd behaviopy/examples
+ echo "backend : Agg" > matplotlibrc || die
+ for i in *py; do
+ echo "Executing $i"
+ ${EPYTHON} $i || die
+ done
+}
diff --git a/sci-biology/behaviopy/metadata.xml b/sci-biology/behaviopy/metadata.xml
new file mode 100644
index 000000000..1009f09d0
--- /dev/null
+++ b/sci-biology/behaviopy/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>horea.christ@gmail.com</email>
+ <name>Horea Christian</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ BehavioPy is a Python toolkit providing evaluation (e.g. event
+ tracking) and plotting functions for behavioural data. Manual event
+ tracking is done via a simple and configurable PsychoPy-based
+ interface. Plotting functions are designed to work with preformatted
+ data in CSV format (e.g. as exported by pandas), and use Seaborn and
+ custom BehavioPy styles for maximum beautification.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">TheChymera/behaviopy</remote-id>
+ </upstream>
+ <use>
+ <flag name="evaluation">Installs evaluation submodule.</flag>
+ </use>
+</pkgmetadata>